#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "rr_screen.h"
#include "rr_main.h"


void
on_mainwin_destroy                     (GtkObject       *object,
                                        gpointer         user_data)
{
  gtk_main_quit();
}


void
on_item1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_gamequit_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  gtk_main_quit();
}



void
on_right1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainPosition(0);
}


void
on_left1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainPosition(1);
}


void
on_on1_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainMessage(1);
}


void
on_off1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainMessage(0);
}


gboolean
on_drawingarea1_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  return(RRScreenRedraw(widget, event, user_data));
}


void
on_10_activate                         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainPetal(10);
}


void
on_25_activate                         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainPetal(25);
}


void
on_50_activate                         (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainPetal(50);
}


void
on_100_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainPetal(100);
}

